Summary: GUI application for users to control network devices
Name: usernet
Version: 1.0.5
Release: 1
Copyright: GPL
Group: Utilities/System
BuildRoot: /tmp/usernet
Source: usernet-%{PACKAGE_VERSION}.tar.gz
Requires: initscripts >= 3.20

%description
A program that makes it easy for users to bring user-controllable
network devices up and down, and to check on the status of those
devices.

%changelog

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- no paths in wmconfig files

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>

- Change in Gtk behaviour for closing windows.
- wmconfig

* Tue Oct 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- Change to a fork-fork-exec for running if{up,down} so that the
  status button responds instantly, and init cleans up after our
  poor orphaned processes.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Resize window to fit up to three interface buttons without a scrollbar.
- When changing versions, need to update version in usernetrc as well.
  Do that automatically now.
- Everything takes the version from the spec file.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- Call if{up,down} directly and let them call usernetctl if necessary,
  so that root can also use the tool.

%prep
%setup

%build
make VERSION=%{PACKAGE_VERSION}

%install
make install BR=$RPM_BUILD_ROOT VERSION=%{PACKAGE_VERSION}

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/usernet
/usr/share/usernet/%{PACKAGE_VERSION}
/usr/man/man1/usernet.1
/etc/X11/wmconfig/usernet
